Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 0.6SynchronousAuth Required
GetVmAttachableL3Network
GetVmAttachableL3Network
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Query Parameters
Request Inputs
Path Parameters
vmInstanceUuidStringRequiredThe VM instance UUID.
Query Parameters
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
GET/zstack/v1/vm-instances/{vmInstanceUuid}/l3-networks-candidates
/zstack/v1/vm-instances/{vmInstanceUuid}/l3-networks-candidates
Request Example
curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/l3-networks-candidates?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "uuid": "d2f77ca69b1448d3b8e063c3d551cf1b", "name": "private L3", "type": "L3BasicNetwork", "zoneUuid": "67a6601dc8dd476ebca371123ff03f14", "l2NetworkUuid": "94bdffb080b346e7a3ac2f44f574cc4a", "state": "Enabled", "createDate": "Apr 24, 2017 7:11:08 PM", "lastOpDate": "Apr 24, 2017 7:11:08 PM", "ipRanges": [ { "uuid": "e15972969ac64d1ea01c0c228d969bcc", "l3NetworkUuid": "d2f77ca69b1448d3b8e063c3d551cf1b", "name": "ip range", "startIp": "192.168.0.10", "endIp": "192.168.0.100", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "createDate": "Apr 24, 2017 7:11:08 PM", "lastOpDate": "Apr 24, 2017 7:11:08 PM" } ], "networkServices": [ { "l3NetworkUuid": "d2f77ca69b1448d3b8e063c3d551cf1b", "networkServiceProviderUuid": "a493b6286d6e43f89e06062b7a4ad182", "networkServiceType": "DHCP" }, { "l3NetworkUuid": "d2f77ca69b1448d3b8e063c3d551cf1b", "networkServiceProviderUuid": "a493b6286d6e43f89e06062b7a4ad182", "networkServiceType": "DNS" }, { "l3NetworkUuid": "d2f77ca69b1448d3b8e063c3d551cf1b", "networkServiceProviderUuid": "a493b6286d6e43f89e06062b7a4ad182", "networkServiceType": "SNAT" } ] } ] }Change History
This API has no change history records yet.
